com.holonplatform.core.i18n

## Interface Localizable.Builder<B extends Localizable.Builder<B>>

- Type Parameters:
    `B` - Concrete builder type
  All Known Subinterfaces:
    BeanProperty.Builder<T>, Localizable.LocalizableBuilder, PathProperty.Builder<T,B>, PathProperty.PathPropertyBuilder<T>, Property.Builder<T,B>, VirtualProperty.Builder<T,B>
  Enclosing interface:
    Localizable

      public static interface Localizable.Builder<B extends Localizable.Builder<B>>

  Base interface for `Localizable` building

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `message(String defaultMessage)` Set the default message to use if a `Localizable.getMessageCode()` is not available or a localized message which corresponds to the message code cannot be found or no localization handler is available for message translation.
    `B` | `messageArguments(Object... arguments)` Set the arguments to use for message localization.
    `B` | `messageCode(String messageCode)` Set the message code to use to obtain a localized message

- - ### Method Detail

    - #### messageCode

          B messageCode(String messageCode)

      Set the message code to use to obtain a localized message
      Parameters:
        `messageCode` - Message code to set
      Returns:
        this

    - #### message

          B message(String defaultMessage)

      Set the default message to use if a `Localizable.getMessageCode()` is not available or a localized message which corresponds to the message code cannot be found or no localization handler is available for message translation.
      Parameters:
        `defaultMessage` - Default message to set
      Returns:
        this

    - #### messageArguments

          B messageArguments(Object... arguments)

      Set the arguments to use for message localization.

      Arguments resolution process is dependend from concrete localization handler. For example, a predefined argument placeholder character may be used to define arguments substitution positions within the localized message.

      Parameters:
        `arguments` - Message localization arguments
      Returns:
        this

Copyright © 2017 The Holon Platform. All rights reserved.